#ifndef _Header_h
#define _Header_h

int
M(Header,Parse)(HTLIB* o,
				HTLIB_Header* header_buffer, USHORT blen,
				HTLIB_NEEDS_FUNC needs,
				HTLIB_ERROR* err);

BOOL
M(Header,ParseParam)(HTLIB_Header* hone,
					 HTLIB_Header* header_buffer, USHORT blen,
					 HTLIB_ERROR* err);

int
M(Header,Find)(const HTLIB_Header* headers_or_params,
			   USHORT len,
			   const char* name);

int
M(Header,Serialize)(const HTLIB_Header* headers, USHORT header_len,
					char* buffer, USHORT buffer_len,
					HTLIB_ERROR* err);

BOOL
M(Header,HasConnectionClose)(const HTLIB_Header* header_buffer, USHORT blen);

const char*
M(Header,GetHttpStatusMessage)(int status);

#endif
  
